org.keycloak.models.utils

## Class DefaultAuthenticationFlows

- java.lang.Object
- - org.keycloak.models.utils.DefaultAuthenticationFlows

-     public class DefaultAuthenticationFlows
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BROWSER_FLOW`
    `static String` | `CLIENT_AUTHENTICATION_FLOW`
    `static String` | `DIRECT_GRANT_FLOW`
    `static String` | `DOCKER_AUTH`
    `static String` | `FIRST_BROKER_LOGIN_FLOW`
    `static String` | `FIRST_BROKER_LOGIN_HANDLE_EXISTING_SUBFLOW`
    `static String` | `HTTP_CHALLENGE_FLOW`
    `static String` | `IDP_CREATE_UNIQUE_USER_CONFIG_ALIAS`
    `static String` | `IDP_REVIEW_PROFILE_CONFIG_ALIAS`
    `static String` | `LOGIN_FORMS_FLOW`
    `static String` | `REGISTRATION_FLOW`
    `static String` | `REGISTRATION_FORM_FLOW`
    `static String` | `RESET_CREDENTIALS_FLOW`
    `static String` | `SAML_ECP_FLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAuthenticationFlows()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addFlows(RealmModel realm)`
    `static void` | `addIdentityProviderAuthenticator(RealmModel realm, String defaultProvider)`
    `static void` | `browserFlow(RealmModel realm)`
    `static void` | `browserFlow(RealmModel realm, boolean migrate)`
    `static void` | `clientAuthFlow(RealmModel realm)`
    `static void` | `directGrantFlow(RealmModel realm, boolean migrate)`
    `static void` | `dockerAuthenticationFlow(RealmModel realm)`
    `static void` | `firstBrokerLoginFlow(RealmModel realm, boolean migrate)`
    `static void` | `httpChallengeFlow(RealmModel realm)`
    `static void` | `migrateFlows(RealmModel realm)`
    `static void` | `registrationFlow(RealmModel realm)`
    `static void` | `resetCredentialsFlow(RealmModel realm)`
    `static void` | `samlEcpProfile(RealmModel realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REGISTRATION_FLOW

          public static final String REGISTRATION_FLOW

      See Also:
        Constant Field Values

    - #### REGISTRATION_FORM_FLOW

          public static final String REGISTRATION_FORM_FLOW

      See Also:
        Constant Field Values

    - #### BROWSER_FLOW

          public static final String BROWSER_FLOW

      See Also:
        Constant Field Values

    - #### DIRECT_GRANT_FLOW

          public static final String DIRECT_GRANT_FLOW

      See Also:
        Constant Field Values

    - #### RESET_CREDENTIALS_FLOW

          public static final String RESET_CREDENTIALS_FLOW

      See Also:
        Constant Field Values

    - #### LOGIN_FORMS_FLOW

          public static final String LOGIN_FORMS_FLOW

      See Also:
        Constant Field Values

    - #### SAML_ECP_FLOW

          public static final String SAML_ECP_FLOW

      See Also:
        Constant Field Values

    - #### DOCKER_AUTH

          public static final String DOCKER_AUTH

      See Also:
        Constant Field Values

    - #### HTTP_CHALLENGE_FLOW

          public static final String HTTP_CHALLENGE_FLOW

      See Also:
        Constant Field Values

    - #### CLIENT_AUTHENTICATION_FLOW

          public static final String CLIENT_AUTHENTICATION_FLOW

      See Also:
        Constant Field Values

    - #### FIRST_BROKER_LOGIN_FLOW

          public static final String FIRST_BROKER_LOGIN_FLOW

      See Also:
        Constant Field Values

    - #### FIRST_BROKER_LOGIN_HANDLE_EXISTING_SUBFLOW

          public static final String FIRST_BROKER_LOGIN_HANDLE_EXISTING_SUBFLOW

      See Also:
        Constant Field Values

    - #### IDP_REVIEW_PROFILE_CONFIG_ALIAS

          public static final String IDP_REVIEW_PROFILE_CONFIG_ALIAS

      See Also:
        Constant Field Values

    - #### IDP_CREATE_UNIQUE_USER_CONFIG_ALIAS

          public static final String IDP_CREATE_UNIQUE_USER_CONFIG_ALIAS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultAuthenticationFlows

          public DefaultAuthenticationFlows()

  - ### Method Detail

    - #### addFlows

          public static void addFlows(RealmModel realm)

    - #### migrateFlows

          public static void migrateFlows(RealmModel realm)

    - #### registrationFlow

          public static void registrationFlow(RealmModel realm)

    - #### browserFlow

          public static void browserFlow(RealmModel realm)

    - #### resetCredentialsFlow

          public static void resetCredentialsFlow(RealmModel realm)

    - #### directGrantFlow

          public static void directGrantFlow(RealmModel realm,
                                             boolean migrate)

    - #### browserFlow

          public static void browserFlow(RealmModel realm,
                                         boolean migrate)

    - #### addIdentityProviderAuthenticator

          public static void addIdentityProviderAuthenticator(RealmModel realm,
                                                              String defaultProvider)

    - #### clientAuthFlow

          public static void clientAuthFlow(RealmModel realm)

    - #### firstBrokerLoginFlow

          public static void firstBrokerLoginFlow(RealmModel realm,
                                                  boolean migrate)

    - #### samlEcpProfile

          public static void samlEcpProfile(RealmModel realm)

    - #### dockerAuthenticationFlow

          public static void dockerAuthenticationFlow(RealmModel realm)

    - #### httpChallengeFlow

          public static void httpChallengeFlow(RealmModel realm)

Copyright © 2020 JBoss by Red Hat. All rights reserved.